Mandriva Fórum

Uživatelské aplikace => Softwarové novinky => : Jar Ks January 28, 2009, 10:29:36



: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jar Ks January 28, 2009, 10:29:36
Dobrý den,

vyšlo KDE 4.2.0, které vývojáři označují za první použitelnou verzi. Doma mi leží nově koupená instalace Mandrivy 2009.0, ale po přečtení všech možných nářků nad novým KDE (starším než 4.2, které tam je) se trochu bojím jejího nasazení. Nemá prosím někdo informace o tom, že by to Mandriva vzala jako běžnou aktualizaci a budou k dispozici balíčky?

Díky.

(Oznámení o nové verzi: http://www.kde.org/announcements/4.2/ (http://www.kde.org/announcements/4.2/))


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Paur January 28, 2009, 11:17:43
No, tady asi nikdo do hlavy vývojářům Mandrivy nevidí  ;D Sleduj třeba http://wiki.mandriva.com/en/Home (http://wiki.mandriva.com/en/Home) a také tady se určitě po uvolnění aktualizací někdo ozve.

Zatím se dá z Peťošova repozitáře aktualizovat na 4.1.98 (to je myslím označováno jako 4.2 alfa) a také instalace z originální mdv2009.0 (s aktualizacemi) je celkem použitelná. Stabilita i možnosti se samozřejmě zlepšují, ale tak tomu bude (doufám) i u dalších verzí. Jestli nepotřebuješ vyloženě 100% bezproblémový systém na práci, ale máš to zatím na seznámení, tak se nemusíš bát, však se stejně ke 4.2 dostaneš... a nebo můžeš zatím zkusit jiné desktopové prostředí.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš January 28, 2009, 11:27:22
Jen bych podotkl, ze mnohe z knihoven v mem repozitari jsou uz ve verzi KDE4.2.0
Jedna se predevsim o knihovny phonon, kdelibs4, kdebase-workspace. Dalsi jsou zatim ve vyvoji


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jakub Šenk January 28, 2009, 14:16:23
No, dle mých zkušeností se oznámení o RPM balíčcích KDE objevují i na této stránce:

http://download.kde.org/binarydownload.html?url=/stable/4.2.0/

Samozřejmně záleží vše na rychlosti Mandrivy....

Zatím(k 28. lednu 2009 13:00) tam jsou balíčky(RPM či DEB) pro:

- Debian
- Kubuntu
- OpenSuse
- Magic Linux

Čili Mandriva zase nikde :(


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš January 28, 2009, 14:26:03
Delam na tom, bohuzel jsou tam chyby v spec souborech... Ale bude to... Jak jsem psal, tak snad do nedele...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Ivan Bibr January 28, 2009, 21:01:13
Dobrý den,

vyšlo KDE 4.2.0, které vývojáři označují za první použitelnou verzi. Doma mi leží nově koupená instalace Mandrivy 2009.0, ale po přečtení všech možných nářků nad novým KDE (starším než 4.2, které tam je) se trochu bojím jejího nasazení. Nemá prosím někdo informace o tom, že by to Mandriva vzala jako běžnou aktualizaci a budou k dispozici balíčky?

Verze 4.1.3, která je v knižním vydání, se bát nemusíte. Většinu "problémů" způsobuje neznalost uživatelů, případně některé chybějící vlastnosti starších verzí. 4.2 se asi brzo objeví v peťošově repozitáři - Peťoš na ní podle všeho usilovně pracuje. Mandrivu stejně musíte mít nainstalovanou, když to chcete zkoušet, že ano, tak proč to odkládat...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš January 28, 2009, 21:07:37
4.2 se asi brzo objeví v peťošově repozitáři - Peťoš na ní podle všeho usilovně pracuje.
Pravda. Bohuzel ted jsem zaseknuty na chybe budto cmake, kdepimlibs4 nebo nekde mezi tim. Zatim prelozene a dostupne baliky ve verzi 4.2 jsou:
kdelibs4, kde4-l10n-cs, kdepimlibs4 a phonon (audiosystem KDE4), kdebase4 a kdebase4-workspace.
Bohuzel jakykoli pokus o preklad cehokoli dalsiho konci chybou, ze cmake nema spravne nastavenou promennou umisteni kdepimlibs4. Zkousim znovu prelozit cmake a uvidim.

Pracuji na tom...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš January 29, 2009, 03:34:43
Chybka vyresena, preklady jedou dal. Ti, co mají nainstalovanou mou verzi KDE4.1.96 se muzou pri prubeznych aktualizacich potykat s docasnou nestabilitou zpusobenou castecnymi balicky z verze KDE4.1.96 a castecne z nove KDE4.2, ktere prubezne nahravam na repozitar. V tuto chvili nedoporucuji aktualizaci a pockat, nez dodelam vse. Zatim to vidim tak na zitrek, nejhur patek.

V tuto chvili mam nahlaseno, ze se ustalila plasma a jeji padani, se kterym jsme se potykali v KDE4.1.96 a problemy s plasmoidem 'ramecek' ktery pro zmenu v soucasne chvili zlobi.

Dale pracuji na ukolovem balicku s nazvem task-kde42, ktery by mel pomoci zavislosti a konfliktu nainstalovat prave KDE4.2. Nahraju jej cely na repozitar az jako posledni. Taky se objevi kratky clanek na hlavni strance vcetne postupu instalace.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Vlastimil Ott January 30, 2009, 12:06:13
Doplním pro info: Jak vypadá nové KDE 4.2 (http://www.linuxexpres.cz/blog/jak-vypada-nove-kde-4-2)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 01, 2009, 04:27:52
KDE4.2 pro Mandrivalinux 2009.0 32bit je hotov a to vcetne task-balicku!

Pridejte si muj zdroj pro KDE4 (Ti, co jej jeste nemaji); jako root zadejte do konzole:
:
   urpmi.addmedia PetosKDE4 http://physics.muni.cz/~petos/mandriva/2009.0/kde4/i586/ with media_info/hdlist.cz


a nainstalujte ukolovy balicek jmenem task-kde42.
Sam jsem to nainstaloval na 2 pocitace s tim, ze bylo potreba provest snizeni verze balicku libqscintilla-qt4_2 z verze 2.3 na verzi 2.2-5.

Pozor, jako součástí je vyžadován Amarok a netestoval jsem, jak se bude chovat Amarok pro verzi KDE3, proto doporucuji instalovat pouze balicky amarok pro verzi KDE4.

Všechny potřebné balíčky by měly být v mém repozitáři a pomoci conflicts a requires instalovano prave z nej (poznate to tak, ze balíčky mají ve jménu pts - výjimku tvoří jen 5 balíčků a to tyto:
kdebase4-runtime-4.2.0-1mdv2009.1.i586.rpm
kdebase4-runtime-devel-4.2.0-1mdv2009.1.i586.rpm
kwallet-daemon-4.2.0-1mdv2009.1.i586.rpm
libkwalletbackend4-4.2.0-1mdv2009.1.i586.rpm
oxygen-icon-theme-4.2.0-1mdv2009.1.i586.rpm

Behem zítřka (nebo snad dneska... proste behem nedele) sepisu clanek na hlavní stránku se screeshoty a podrobným manuálem instalace.
Zatim mi (asi za hodinu behu a pouzivani) tato verze nespadla (nerestartovala se plasma). Jediny nefunkcni plasmoid, co jsem zatim objevil, je pod nazvem RSS.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 01, 2009, 04:55:26
A navic mam pro Vas pripraven male prekvapeni. Zitra/dneska na www.mandrivalinux.cz
a ted jdu spat


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: BRADA February 01, 2009, 15:47:28
Takze pockat na 4.2 a neladit GNOME? ;-)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 01, 2009, 15:59:24
mi osobne KDE4.2 nepada a drzi. Bibrimu obcas padne applet nabidka (klasicka, kick-off by mela drzet). Proto zatim doporucuji pouzivat lancelot nez klasickou nabidku.
A KDE4.2 je hotova, ubalena a v repozitari. Zatim to testujeme a jakmile uzname, ze je to jiz pripraveno, napisu clanek na hlavni stranku. Takze sledujte tu hlavni stranku :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jar Ks February 02, 2009, 09:14:00
Verze 4.1.3, která je v knižním vydání, se bát nemusíte...

Tak jsem se tedy nebál (když mě nabádá sám autor :)) a 64 bitovou verzi z knížky instaloval. Následně aktualizoval z dodaného extra CZ DVD - nejdřív jen aktualizační program, potom spoustu dalších věcí a potom se ještě našlo 397 oprav z internetu - docela darda. Musím říct, že KDE4 mě příjemně překvapilo. Vypadá velice dobře (také má nějaké lepší fonty, nebo co), jede celkem svižně. Jen nVidiácký ovladač jsem musel v ovládacím centru zvlášť zapnout. Jednou za čas se ale objeví nějaké chybové hlášení, všechno na vteřinku zbělá a pak normálně funguje dál. Že by to byla ta padající Plasma? Rada v knize odkazuje na návod, který doporučuje odinstalovat k3b, což mi připadá zvláštní.

Zpráva o balíčcích od Peťoše Šafaříka je skvělá, ale zdá se, že jsou jen pro 32 bitů. Hergot, moc bych si přál, kdyby to Mandriva dala jako normální aktualizaci. Trochu se ale bojím, že si to nechají jako přesvědčovadlo ke koupi jarní verze.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 11:50:40
KDE4 se mi libi. Je komplexni a poskytuje spoustu prijemnych funkci. To co pozorujes - ono zbelani vseho a pak zpetne naskoceni - je onen pad plasmy ci jeji restart (nezabihejme do semantiky ;) ).
K mym balickum: ano, pouze 32bit a to hned z nekolika duvodu.
1.) 32bit je rozsirenejsi nez 64bit: muze je tak pouzit sirsi spektrum lidi.
2.) mandrivu provozuji na nekolika strojich, vsechno jsou 32bity. Mozna by sel nejak 64 bit naemulovat, ale delat to teda nebudu...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 02, 2009, 16:22:05
zdar hosi no nevim co jsem udelal blbe ale snazil jsem se podle navodu na mandrive 2009 naistalovat 4.2 ale kdyz jsem se odhlasil a znova prihlasil bylo to zmeneni ale nemam jakoze u voken + - a napsalo to tuto chybu

Nastala kritická chyba
The application KDE Window Decorator (kde4-window-decorator) crashed and caused the signal 6 (SIGABRT).
Please help us improve the software you use by filing a report at http://bugs.kde.org. Useful details include how to reproduce the error, documents that were loaded, etc.

co stim ? :-(  jsem zacatecnik jsem od microsoftu asi 2 měisce takze to spis jeste poznavam diky za odpovet


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 16:26:03
jel jsi podle navodu: http://www.mandrivalinux.cz/balicky-pro-kde4-2-jsou-hotovy
zkus pustit terminal (viz. clanek vys) a napsat:
kde4-window-decorator&


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 02, 2009, 16:34:17
napsalo to toto:Nastala kritická chyba
The application KDE Window Decorator (kde4-window-decorator) crashed and caused the signal 6 (SIGABRT).
Please help us improve the software you use by filing a report at http://bugs.kde.org. Useful details include how to reproduce the error, documents that were loaded, etc.

když dám deialy tak :
Aplikace: KDE Window Decorator (kde4-window-decorator), signál SIGABRT
[Current thread is 1 (Thread 0xb51e3ae0 (LWP 22335))]

Thread 1 (Thread 0xb51e3ae0 (LWP 22335)):
[KCrash Handler]
#6  0xffffe424 in __kernel_vsyscall ()
#7  0xb6bbad90 in raise () from /lib/i686/libc.so.6
#8  0xb6bbc7f8 in abort () from /lib/i686/libc.so.6
#9  0xb7223445 in qt_message_output () from /usr/lib/libQtCore.so.4
#10 0xb7223535 in qFatal () from /usr/lib/libQtCore.so.4
#11 0xb72235e5 in qt_assert () from /usr/lib/libQtCore.so.4
#12 0xb6f8365d in KDecorationUnstable::KDecorationUnstable () from /usr/lib/libkdecorations.so.4
#13 0xb6f8d492 in ?? () from /usr/lib/libkdecorations.so.4
#14 0xb6f8bbf9 in KCommonDecoration::KCommonDecoration () from /usr/lib/libkdecorations.so.4
#15 0xb3c38362 in ?? () from /usr/lib/kde4/kwin3_quartz.so
#16 0xb3c39ebf in ?? () from /usr/lib/kde4/kwin3_quartz.so
#17 0x0805d80c in ?? ()
#18 0x08062094 in ?? ()
#19 0x080595a4 in ?? ()
#20 0x08051364 in QWidget::moveEvent ()
#21 0xb6ba75c5 in __libc_start_main () from /lib/i686/libc.so.6
#22 0x08050131 in QWidget::moveEvent ()



: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 16:38:34
Uz to mam. Vypni compiz. KDE4 ma vlastní udelatka pro akcelerovany desktop, ktera se nema s compizem rada...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 02, 2009, 16:40:48
nechci byt pro uplnyho debila vym kde compiz je az tak blbej nejsem ale jak ho vypnu diky za vydrz vym ze pro tebe je to asi uz normalka ale ja se stim teprav seznamuju


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 16:46:03
dotazy jsou v pohode, jen ta Tva cestina :-D (vím se píše s i  ;) ;)
Pust si Ovladaci centrum (z terminalu prikazem mcc) > Hardware > Nastavit 3D efekty grafickeho prostredi. Vypnout a pak se jen odhlasit a prihlasit...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 02, 2009, 16:51:57
Za cestinu se omlouvam takze sorry diky funguje to ale tetka nemam 3D trepani oken kostku nic


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 16:53:37
Nevim co vsechno umi KDE4 samo o sobe (tyhle 3D srandy nepouzivam), ale je to v nastaveni KDE>plocha>efekty plochy


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 02, 2009, 17:03:05
No to mne nende ale to neva jinak diky


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: krizak February 02, 2009, 18:03:12
Ahoj, KDE 4.2 nainstalováno na určeném disku pro experimentování, hezky to vypadá, zatím vše chodí. Jen při nastavování KPPP v okamžiku, kdy chci uložit vytáčené číslo pro připojení mobilem (*99#), mi to hodí hlášku:

Nastala kritická chyba
The application KPPP (kppp) crashed and caused the signal 11 (SIGSEGV).
Please help us improve the software you use by filing a report at http://bugs.kde.org. Useful details include how to reproduce the error, documents that were loaded, etc.

Ničemu to nevadí, umím se připojit i přes applet pro nastavení sítě, ale zbytek rodiny je zvyklý na KPPP...


: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťan February 02, 2009, 21:22:48
Na Kde 4.2 jsem se těšil (dík, Peťoši), budu očekávat každou aktualizaci, protože momentálně se mi u žádného okna nezobrazuje stavový pruh, což je sice snesitelné, ale nějak mi to tam chybí (lze řešit?), v kopete je problém napsat písmena jako ó, ď atd... a jako perlička každá příchozí správa shodí plasmu. Což takto dát i návod jak se vrátit na KDE 4.1?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 21:27:59
1.) Nepouzivat Compiz
2.) Spravne nastavene ovladace Graficke karty

Odebrani: podrobny manual bude zitra na netu. Predbezne staci odebrat
kde4-l10n-cs free-kde4-config. A nakonec v drakrpm odebrat vsechno, co je nainstalovano v kategorii Graficke prostredi>KDE


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Hobil February 02, 2009, 21:28:23
kde4.1 je na tom jeste hur (v jinych ohledech), to uz spis 3.5.
je to jeste porad ve vyvinu, proto je dobre mit jine prostredi pro praci a kde 4.2 je jako alternativu na hrani :)
H.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťan February 02, 2009, 22:25:55
Compiz mě už taky napadl, ale teď se mi zase stýská po kostce... A co se týče KDE 4.1, možná je to tím, že mi KDE 3.5 nelíbilo (tehdy v OpenSuse) a vrátil jsem se zpět k XP, teprve Mandriva 2009 s KDE 4.1 mi sedla a protože jsem neměl potíže ze stabilitou, trochu jsem se divil, co všichni proti 4.1 mají...

Jinak až na pády plasmy zatím vypadá velmi dobře. Dík a pěkný večer.  :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 22:29:56
Neumí kostku přímo udělátka KDE? ( Nastaveni KDE > Plocha > Efekty plochy ) ???


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Lot February 02, 2009, 22:32:09
Na Kde 4.2 jsem se těšil (dík, Peťoši), budu očekávat každou aktualizaci, protože momentálně se mi u žádného okna nezobrazuje stavový pruh, což je sice snesitelné, ale nějak mi to tam chybí (lze řešit?), v kopete je problém napsat písmena jako ó, ď atd... a jako perlička každá příchozí správa shodí plasmu. Což takto dát i návod jak se vrátit na KDE 4.1?

Také jsem měl po instalaci KDE4.2 problémy - hlavně se stabilitou (např. při pokusu o přidání appletu či spuštění některých aplikací vždy spaldla plasma). Vyřešil jsem to komletní odinstalaci KDE - a to jak nově nainstalovaného KDE4.2 tak pozůstatků KDE4.1.3. Poté jsem přejmenoval ~/.kde4 (abych si později mohl obnovit nějaká nastavení, záložky atd.) a kde 4.2 nainstaloval znovu. Od té doby KDE šlape jak má. Nestabilitu asi způsobovaly nějaké pozůstatky po starší verzi.

Pokud se chcete vrátit k předchozí verzi KDe, postupoval bych kompletním smazáním součastného KDE a pak bych si nainstaloval balíčak task-kde 4.1.3. Je to sice zdlouhavý, ale vcelku jednoduchý a spolehlivý způsob.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Lot February 02, 2009, 22:36:39
Neumí kostku přímo udělátka KDE? ( Nastaveni KDE > Plocha > Efekty plochy ) ???
Volba pro kostku tam je. Má grafická karta (nebo spíš ovladač) si bohužel s kompozitními 3D efekty zrovna nerozumí, takže to nemohu vyzkoušet.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 22:37:42
Co mas za kartu, resp. ovladac?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: sine.nomine[nereg] February 02, 2009, 22:50:55
predne chci podekovat petosovi za praci, kterou si s novymi KDE dal. respekt!

ad padajici plasma - me padala pravidelne pri pouzivani KDE menu nebo kickoff menu (KDE vzdy pri kliknuti, kickoff na aplikace - interner a aplikace - nastroje). to prestalo po aktualizaci dneska kolem poledne

ad padajici plasma s kopete - chvile na googlu mi stacila k zjisteni, ze to je znamy a uz fixnuty bug v Qt. workaround je vypnout notifikace. resenim by melo byt updatnout Qt na 4.4.4, az bude vydane. vice info: https://bugs.kde.org/show_bug.cgi?id=176235


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 22:57:51
Misto Nabidky zkuste Lancelot, mel by drzet...

Kopete zkusim opravit...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 23:09:55
Hotov je python-qt4 ve verzi 4.4.4
QT4-common (a dalsi z Qt) ve 4.4.3 vydani 15 bude v prubehu vecera...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Hobil February 02, 2009, 23:18:33
digikam mi nejde v kde4 spustit
v xfce4 se kupodivu spusti a normalne funguje (nahledy, prohlizeni, stahovani z fotaku). Druhe spusteni uz ale nezvladne (vyzaduje phonon a ten zase pulse... nevim proc mu poprve nevadi, ze mam pulse vypnute...)
H.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Sajfi February 02, 2009, 23:26:02
Zdravím, mě po aktualizaci a instalaci task-kde42 jede vše jak má, až na amarok. Ten mi od té doby nejde spustit:

:
[sajfi@localhost ~]$ amarok
amarok(29430)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-sajfi/ksycoca4"
amarok(29430)/kdecore (KLibLoader) kde4Factory: The library "" does not offer a qt_plugin_instance function.                
amarok(29430)/kdecore (KLibLoader) kde3Factory: The library "" does not offer an "init_phonon_gstreamer" function.          
amarok(29430) Phonon::KdePlatformPlugin::createBackend: using backend:  "GStreamer"                                          
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) "HDA Intel (STAC92xx Analog)"
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) ("x-phonon:CARD=0,DEV=0", "plughw:CARD=0,DEV=0")
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) setProperty(device, "x-phonon:CARD=0,DEV=0" ) failed
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) setProperty(device, "plughw:CARD=0,DEV=0" ) failed
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) "HDA Intel (STAC92xx Analog)"
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) ("x-phonon:CARD=0,DEV=0", "plughw:CARD=0,DEV=0")
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) setProperty(device, "x-phonon:CARD=0,DEV=0" ) failed
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) setProperty(device, "plughw:CARD=0,DEV=0" ) failed
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) "PulseAudio Sound Server"
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) ("pulse")
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) setProperty(device, "pulse" ) failed
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) "Default ALSA Output (currently PulseAudio Sound Server)"
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) ("default")
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) setProperty(device, "default" ) failed
virtual bool Phonon::Gstreamer::AudioOutput::setOutputDevice(const Phonon::AudioOutputDevice&) "PulseAudio Sound Server"
<unknown program name>(29429)/: Communication problem with  "amarok" , it probably crashed.
Error message was:  "org.freedesktop.DBus.Error.NoReply" : " "Message did not receive a reply (timeout by message bus)" "

[sajfi@localhost ~]$ KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = amarok path = <unknown> pid = 29430
sock_file=/home/sajfi/.kde4/socket-localhost/kdeinit4__0


Netušíte co s tím?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Lot February 02, 2009, 23:27:01
Mám ATI Radeon 9200. Ovladač od ATI (dostupný z jejich stránek) nepodporuje součastnou verzi Xorg, takže používám svobodný ovladač (mesa). Fglrx je až pro novější karty. 3D akcelerace u her mi sice jde, ale kompozitní efekty ne. Mám pocit, že má karta nepodpotuje novější verze OpenGL, které ty efekty chtějí, ale moc tomu nerozumím.

Dost mě překvapilo, že u KDE4.1 v Mandrivě mi spustit šly a jakž takž i fungovali (v OpenSUSE, u kamáda, který má stejnou grafickou kartu však spustit nešli). Teď mi zase spustit nejdou. Je to obvyklý stav věcí a nijak zvlášť mi to nevadí (ne, že bych byl nepřístupný případným radám).


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 02, 2009, 23:37:32
Ten amarok je amarok1 nebo Amarok2 ???


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Sajfi February 02, 2009, 23:43:15
Ten amarok je amarok1 nebo Amarok2 ???
Amarok 2


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jakub Šenk February 02, 2009, 23:44:36
Mě Amarok 2 na KDE 4.2 funguje :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Sajfi February 03, 2009, 12:51:43
Tak Amarok 2 už mi taky jede:) Stačilo doinstalovat phonon-xine a v nastavení zvuku a videa změnit impélementaci z GStreamer na Xine...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Ged February 03, 2009, 12:56:07
Tak Amarok 2 už mi taky jede:) Stačilo doinstalovat phonon-xine a v nastavení zvuku a videa změnit impélementaci z GStreamer na Xine...

Mohl by jsi nejak vice rozepsat kde nastavit implementaci z GStreamer na Xine?
Dekuji

Edit: tak jsem to nasel "Configure Your Desktop" -> Multimedia -> karta Implementace a zvolit Xine


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Ged February 03, 2009, 13:42:26
Tak chyba zvuk v amaroku hraje, ale pak zase nejdou flashova videa ve firefoxu ani jinde napr. v kaffeine, mplayer ....


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Sajfi February 03, 2009, 13:52:15
U mě flashova videa (např. youtube) fungují (i se zvukem:)... Kafeine (pro KDE3?) nepoužívám - v SMplayeru video a zvuk jede...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Paur February 03, 2009, 14:24:50
Tak chyba zvuk v amaroku hraje, ale pak zase nejdou flashova videa ve firefoxu ani jinde napr. v kaffeine, mplayer ....
Pulseaudio máš on nebo off? Něco podobného bylo tady: http://forum.mandrivalinux.cz/index.php?topic=9848.msg55703#msg55703 (http://forum.mandrivalinux.cz/index.php?topic=9848.msg55703#msg55703)
Přečti si i pár následujících příspěvků, nakonec to šlapalo se zapnutým pulseaudio.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Ged February 03, 2009, 15:28:12
Tak jsem nastavil jako vychozi "PulseAudio Sound Server" a vse uz funguje.

Dekuji za rady


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: sine.nomine[nereg] February 04, 2009, 14:57:47
petos: otestovano, po update na 4.4.3-15pts2009.0 kopete notifikace plasmu neshazujou. diky :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 04, 2009, 15:01:56
Prave jsem dodelal jeste jednu vyssi verzi Qt, vydani 18. (delal jsem na tom 5 hodin :D ).
Snad to neprijde nazmar a vic pomuze nez uskodi :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Ivan Bibr February 04, 2009, 16:57:21
Ahoj, KDE 4.2 nainstalováno na určeném disku pro experimentování, hezky to vypadá, zatím vše chodí. Jen při nastavování KPPP v okamžiku, kdy chci uložit vytáčené číslo pro připojení mobilem (*99#), mi to hodí hlášku:

Nastala kritická chyba
The application KPPP (kppp) crashed and caused the signal 11 (SIGSEGV).
Please help us improve the software you use by filing a report at http://bugs.kde.org. Useful details include how to reproduce the error, documents that were loaded, etc.

Ničemu to nevadí, umím se připojit i přes applet pro nastavení sítě, ale zbytek rodiny je zvyklý na KPPP...

Dělá mi to taky. Dá se to vyřešit nastavením čísla v ~/.kde4/share/config/kppprc:

:
Phonenumber=*99# 

Bohužel nejsem schopen donutit bluetooth k autentizaci :(, na starém stroji to s 4.1.3 prošlo, po upgradu na 4.2 to bylo OK, ale  na novém stroji jsem rovnou nahodil 4.2 a neobjeví se ten dialog na výměnu autentizačního hesla.Až to rozchodím dám vědět.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: sine.nomine[nereg] February 06, 2009, 10:54:35
ftp://ftp.kde.org/pub/kde/stable/4.2.0/Mandriva/2009.0/RPMS/

oficialni (?) rpm jsou ready. s tydennim zpozdenim, ale prece :) zajimat to bude asi hlavne lidi na 64 bitech... :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Hobil February 06, 2009, 18:48:24
zajimave, ze by balicky primo od vyvojaru KDE (?)
Uz to nekdo zkousel?
Zatim kde4 nepouzivam; v oficialnich aktualizacich se tahle 4.2 nenabizi?
H.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: krizak February 06, 2009, 19:06:58
On se do nějakých 13:30 ten zdroj nedal vůbec přidat. A ještě cca v 16 mi stahování po chvíli spadlo. Zkusím to znovu v noci.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Hobil February 06, 2009, 20:23:56
obavam se, ze tento "zdroj" nepujde pridat, nebot to neni zdroj, ale ftp archiv balicku.
Neni tam hdlist ani dalsi nalezitosti.
Urcite by to slo stahnout a nastavit jako lokalni archiv ve vlastnim PC.
H.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 06, 2009, 20:38:40
obavam se, ze tento "zdroj" nepujde pridat, nebot to neni zdroj, ale ftp archiv balicku.
Neni tam hdlist ani dalsi nalezitosti.
Urcite by to slo stahnout a nastavit jako lokalni archiv ve vlastnim PC.
H.
hdlist tam je. Ve složce media_info.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Hobil February 06, 2009, 20:52:35
 :o
tak ted se stydim


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: krizak February 07, 2009, 10:42:46
Tak jsem to z ftp.kde.org stáhnul, nahodil (postupem čistá instalace mandrivy s IceWM, aktualizace, přidání zdroje ftp.kde.org, instalace KDE 4.2) a první poznatky: nechodí Rozhraní pro spouštění programů (kritická chyba krunner...) a nechodí Kopete (rovněž kritická chyba...).


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 07, 2009, 11:51:41
Tak jsem to z ftp.kde.org stáhnul, nahodil (postupem čistá instalace mandrivy s IceWM, aktualizace, přidání zdroje ftp.kde.org, instalace KDE 4.2) a první poznatky: nechodí Rozhraní pro spouštění programů (kritická chyba krunner...) a nechodí Kopete (rovněž kritická chyba...).
Jak jste aktualizoval? Přímo, přidáním zdroje, nebo jste stáhl celý zdroj?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: krizak February 07, 2009, 12:03:24
Přidal jsem zdroj a vybral balíček task-kde4 pro verzi 4.2.0 - pozor, balíček nemá stejný název, jako balíček z Peťošova zdroje (tedy ne task-kde42).
Abych nezapoměl - v KPPP nejde nastavit vytáčené číslo přes GUI.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 07, 2009, 12:17:34
Já to vyzkoušel také.
Přidání zdroje. OK
Aktualizování zdrojů. OK
Samotná aktualizace byla šílená. První balíček je závislý na druhém balíčku. Druhý na třetím a třetí chce odstranit první. Některé balíčky nešli nainstalovat protože nejsou ve zdrojích. Přitom ve zdrojích jsou. Nakonec se aktualizace zdařila.
Systém funguje. S programy je to horší. Kopete mi funguje. Ale krunner, digikam a amarok nejde spustit.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: lpolk February 07, 2009, 14:38:08
Naposledy jsem zkoušel RC, ale výsledek byl stejný. Tipnul bych na známý problém s phonon-gstreamerem. Zkus ho odebrat a nainstalit phonon-xine. Dej vědět jaks dopad. Zatím k aktualizaci nemám odvahu, protože bez Amaroku a Digikamu se neobejdu.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Hobil February 07, 2009, 14:39:42
tak to vypada, ze zase jednou "cesky pepik" (petos promine) odvedl lepsi praci nez slavni vyvojari.
Petos +1.
H.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 07, 2009, 17:38:50
když chci spustit správce souorů
tak to napíše:
Nastala kritická chyba
The application Dolphin (dolphin) crashed and caused the signal 6 (SIGABRT).
Please help us improve the software you use by filing a report at http://bugs.kde.org. Useful details include how to reproduce the error, documents that were loaded, etc.

Detaily:
Aplikace: Dolphin (dolphin), signál SIGABRT
[Current thread is 1 (Thread 0xb5d088e0 (LWP 28855))]

Thread 1 (Thread 0xb5d088e0 (LWP 28855)):
[KCrash Handler]
#6  0xffffe424 in __kernel_vsyscall ()
#7  0xb6585da0 in raise () from /lib/i686/libc.so.6
#8  0xb6587808 in abort () from /lib/i686/libc.so.6
#9  0xb67f3445 in qt_message_output () from /usr/lib/libQtCore.so.4
#10 0xb67f3535 in qFatal () from /usr/lib/libQtCore.so.4
#11 0xb67f35e5 in qt_assert () from /usr/lib/libQtCore.so.4
#12 0xb7cea886 in ?? () from /usr/lib/libkio.so.5
#13 0xb7dc5b33 in KSambaShare::KSambaSharePrivate::readSmbConf () from /usr/lib/libkio.so.5
#14 0xb7dc60c0 in KSambaShare::KSambaSharePrivate::load () from /usr/lib/libkio.so.5
#15 0xb7dc624e in KSambaShare::KSambaSharePrivate::KSambaSharePrivate () from /usr/lib/libkio.so.5
#16 0xb7dc62b3 in KSambaShare::KSambaShare () from /usr/lib/libkio.so.5
#17 0xb7dc63dc in ?? () from /usr/lib/libkio.so.5
#18 0xb7dc647b in ?? () from /usr/lib/libkio.so.5
#19 0xb7dc649a in KSambaShare::instance () from /usr/lib/libkio.so.5
#20 0xb7d534bb in KFileItem::overlays () from /usr/lib/libkio.so.5
#21 0xb7d3ed26 in KDirModel::data () from /usr/lib/libkio.so.5
#22 0xb7b4e5ec in DolphinModel::data () from /usr/lib/libdolphinprivate.so.4
#23 0xb708022a in QSortFilterProxyModel::data () from /usr/lib/libQtGui.so.4
#24 0xb7d5e952 in ?? () from /usr/lib/libkio.so.5
#25 0xb7d5941a in KFileItemDelegate::Private::decoration () from /usr/lib/libkio.so.5
#26 0xb7d5b5f7 in KFileItemDelegate::Private::initStyleOption () from /usr/lib/libkio.so.5
#27 0xb7d5da61 in KFileItemDelegate::sizeHint () from /usr/lib/libkio.so.5
#28 0xb7018c99 in ?? () from /usr/lib/libQtGui.so.4
#29 0xb701a62c in ?? () from /usr/lib/libQtGui.so.4
#30 0xb701a81d in ?? () from /usr/lib/libQtGui.so.4
#31 0xb701b05f in ?? () from /usr/lib/libQtGui.so.4
#32 0xb701b1b3 in QListView::doItemsLayout () from /usr/lib/libQtGui.so.4
#33 0xb701b2bb in QListView::timerEvent () from /usr/lib/libQtGui.so.4
#34 0xb690451b in QObject::event () from /usr/lib/libQtCore.so.4
#35 0xb6b5f13f in QWidget::event () from /usr/lib/libQtGui.so.4
#36 0xb6eb4e85 in QFrame::event () from /usr/lib/libQtGui.so.4
#37 0xb6f4ff7a in QAbstractScrollArea::event () from /usr/lib/libQtGui.so.4
#38 0xb6ff219c in QAbstractItemView::event () from /usr/lib/libQtGui.so.4
#39 0xb70128e3 in QListView::event () from /usr/lib/libQtGui.so.4
#40 0xb6b04ffc in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#41 0xb6b0d32d in QApplication::notify () from /usr/lib/libQtGui.so.4
#42 0xb7769e20 in KApplication::notify () from /usr/lib/libkdeui.so.5
#43 0xb68f4853 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#44 0xb6923a8d in ?? () from /usr/lib/libQtCore.so.4
#45 0xb69203ee in ?? () from /usr/lib/libQtCore.so.4
#46 0xb60177ca in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#47 0xb601aee8 in ?? () from /usr/lib/libglib-2.0.so.0
#48 0xb601b0a8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#49 0xb692034a in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#50 0xb6ba3dca in ?? () from /usr/lib/libQtGui.so.4
#51 0xb68f2ec3 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#52 0xb68f3081 in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#53 0xb68f57f2 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#54 0xb6b04e64 in QApplication::exec () from /usr/lib/libQtGui.so.4
#55 0x08080f53 in ?? ()
#56 0xb65725c5 in __libc_start_main () from /lib/i686/libc.so.6
#57 0x08060701 in _start ()

Co stím ??


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 07, 2009, 18:17:22
Cetl jsi toto?
http://www.mandrivalinux.cz/kde4-2-nejcastejsi-problemy-a-reseni
na konci pisu:
:
  NEPOSTUJTE BACKTRACE! Jsou nám zcela zbytečné a jen znepřehledňují forum.

misto toho by bylo lepsi dodat nejake relevantni informace, jako napriklad, co mas za verzi mandrivy nebo odkud jsi instaloval... ?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 07, 2009, 18:26:52
za to se omlouvám a mám  2009


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 07, 2009, 18:31:09
Verze Free, One, PWP, CZ ?
A odkud jsi instaloval? Ze ktereho zdroje?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 07, 2009, 18:34:29
Free no s DVDčka a pak KDE4.2 podle toho navodu


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 07, 2009, 18:39:28
Podle ktereho z techto? Nebo jeste nejaky jiny...
http://www.mandrivalinux.cz/balicky-pro-kde4-2-jsou-hotovy
http://www.mandrivalinux.cz/dalsi-zdroje-kde4-2-pro-mandrivu-2009-0


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 07, 2009, 18:43:20
stoho prvniho ale ty zdroje jsem si tam už taky přidal


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 07, 2009, 19:16:06
Tipnul bych na známý problém s phonon-gstreamerem. Zkus ho odebrat a nainstalit phonon-xine. Dej vědět jaks dopad.
Tak jsem odebral phonon-gsteamer a s ním půlku kde4.   :(
Pak jsem postupně doinstaloval digiKam, Amarok, Dolphin, KSnapshot a celé kde4 odešlo do věčných lovišť.
Tak jsem v konsoli znovu nainstaloval kde4. A světe div se! Funguje vše tak jak má. Aspoň zatím... Jinak mám v tuto chvíli nainstalovaný jak phonon-gsteamer tak phonon-xine.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: petrherynk February 07, 2009, 20:34:03
Musím říci, když jsem nainstaloval od Petose, musel jsem reinstalovat, protože mi nenajela grafika ale jen nějaké křížky a vůbec jsem se nedostal do menu. Tady běží Dolphin, základní Krusader, neběží Krusader root, to je asi chyba spolupráce s Kontactem. To co nešlo zkusím nainstalovat znovu. Také zkusím Amarok. Jsem zvědav, zatím lepší než Petos.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 07, 2009, 20:52:04
Je otazka, kde byla chyba. KDE42 ze sveho zdroje jsem instaloval na nekolik ruznych stroju a vzdy to bylo bez problemu nefunkcni digikam, obcas padajici Kopete a tak, ale rozhodne zadny obdobneho rozsahu... (mluvim ted o KDE4.2, nikoli RC verzi!!!)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: petrherynk February 07, 2009, 21:01:26
Amarok bohužel taky nejde, to snad ale bude opraveno. Já si nestěžuji, jsem rád, že mi to jde teď nastartovat a jistě se to bude jen postupně zlepšovat. Stejně většina balíčků je od Petoše, jen něco je opraveno či upraveno. Tak je ta reakce snad zbytečná. :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: petrherynk February 07, 2009, 21:13:59
Možná by snad dodal, že jsem předtím Mandrivu čerstvě přeinstaloval s použitím disků z knížky p. Bibra. Tak instalace nebyla zatížena mými případnými chybami. :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Hobil February 07, 2009, 21:36:28
Možná by snad dodal, že jsem předtím Mandrivu čerstvě přeinstaloval s použitím disků z knížky p. Bibra. Tak instalace nebyla zatížena mými případnými chybami. :)
Pokud nebyl smazan puvodni adresar ~/.kde a ~/.kde4, pak nektere chyby zustavaji...
H.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 08:39:55
Jsem ještě lama takze vubec nevim jak odinstalovat phonon-gsteamer no myslel jsem ze to udelam takto dam Ovladaci centrum/Instalovat a odebírat software a tam potom do vyhledavače zadám phonon-gsteamer  no ale tam nic takovího neni   :-[ tak prosim poratte jak na to  :'(


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 08:45:30
phonon-gstreamer jsme našel v  Statistiky baličku tak to nak skusim

No tak když dam pravým odinstalovat tak to vůbec nereaguje  :'(


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 09:11:55
Jsem ještě lama takze vubec nevim jak odinstalovat phonon-gsteamer no myslel jsem ze to udelam takto dam Ovladaci centrum/Instalovat a odebírat software a tam potom do vyhledavače zadám phonon-gsteamer 
Přesně tak. Jen musíte mít v obou paletkách (vlevo nahoře) vybráno vše.
Balíček se jmenuje phonon-gstreamer.
Ale pokud nevíte co děláte moc to nedoporučuji. Odebráním tohoto balíčku odinstalujete i spoustu dalších balíčků.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 09:15:21
No tak ale ja se nemužu podivat ani na cdčko prostě nikam kam potřebuju


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 09:18:18
No tak jsem to našel a tak to skusim odebrat díky


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 09:28:09
asi jsem to fakt neměl dělat no tetka je to takovi divni kde 3.5 no aspon to funguje


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 09:35:17
asi jsem to fakt neměl dělat no tetka je to takovi divni kde 3.5 no aspon to funguje

Jako první proveďte aktualizaci. Vrátí se vám Kde4
A potom zkoušejte jednotlivé programy. Pokud se nespustí doinstalujte je. Ale ve verzi 4.2
Měl byste mít nainstalovaný i balíček phonon-xine



: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 09:38:09
jo ja to skoušim už ale díky zatim vše funguje


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 09:47:49
Mé zkušenosti s aktualizací na Kde4 jsem sepsal zde:
:
http://forum.mandrivalinux.cz/index.php?topic=10057.new#new


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 10:04:55
díky


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 11:05:13
Jenom mi nende effekty ani dřiv nešli :-(


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 11:21:48
Jenom mi nende effekty ani dřiv nešli :-(
Co znamená nende effekty ..?
Máte nainstalován proprietální ovladač grafické karty?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 11:23:28
dřív šli s compiz ale tetka třepani oken kostka atd.. nende  no jako ovladače stahnul jsem mám radeon 9550 to má koncovku run ale pusti to wine a napiše error


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 11:42:24
Chtělo by to nejprve trochu studia..  :)
1. Compiz sice v Kde4 funguje, ale můžou s ním být velké problémy. V Kde4 jsou efekty přímo integrovány. Takže nepotřebujete žádný externí program. Doporučuji odinstalovat compiz. Efekty nastavíte v konfiguraci Kde. Hezký článek je na Rootu.
:
http://www.root.cz/clanky/kde-4-2-vzhled-a-konfigurace/
2. Instalaci ovladače proveďte přes MCC. Je to jednodušší a nemáte na tom co pokazit. Na wiki je krásný návod.
:
http://wiki.mandrivalinux.cz/instalace-ovladacu-ati
Jak spustit run soubor je také na wiki.  ;)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 12:02:25
To jsem vedel ze jsou integrovany no tak diky za snahu pomoc snad tolik neotravuju tet to jdu skusit a pak dám vedet jak jsem dopad


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 12:04:50
Neotravujete, jinak bych vám neradil
 :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 12:13:43
Parááda už to funguje už jsem pomalinku začal nadávat na linux a chtěl se vrátit k woknam ale chyba byla v tomto:měl jsem zvoleno toto? 9500 to Radeon X1050 ale když jsme zvolil toto tak to začala fungovat  Radeon X1300 and later takže super jenom zase začal zlobit Dolphin :-(


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 13:39:31
Effekty jdou za to dííky ale pořád ten správce souboru nende to mě už SER......


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 14:07:58
Myslíte Dolphin?
Ten je dost nestabilní a často padá. Doufejme, že to brzy opraví.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 14:29:42
jako žadnej správce souboru prostě kdykoliv chci  jit do nejake složky
Tak jsem to s auktualizoval a stahnul jsem si krusader nebo nak tak a stim to zatím jde


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da February 08, 2009, 15:04:51
Dolphin spustíte? Menu-Nástroje-Systémové nástroje-Dolphin
Pokud ano, co nefunguje?


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jarynkos February 08, 2009, 15:25:09
no jako ja vym kde je ale spustim a hnedka se vypne a napiše se Nastala kritická chyba


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jan Jasmín February 09, 2009, 13:56:29
Dobrý den,instalace i aktualizace proběhla docela dobře,mimo amaroku zdá se vše funguje,jen instalace task-kde42 i task-plasmoidu končí chybovou hláškou,v obou případech chybí tyto balíčky
Budou nainstalovány 4 následující balíčky:

- plasma-applet-system-monitor-net-4.2.0-5pts2009.0.i586
- task-kde42-4.2-1pts2009.0.noarch
- task-kde42-minimal-4.2-1pts2009.0.noarch
- task-plasmoids-4.2-1pts2009.0.noarch

Bude použito dalších 61kB diskového prostoru.

a skončí to touto hláškou

1 instalačních procesů selhalo

Při instalaci balíčků došlo k chybě:

4.2 is needed by task-kde42-4.2-1pts2009.0.noarch



nedokážu posoudit jestli jsou to balíčky důležité a nebo to nemám řešit,ty balíčky závisí jeden na druhém takže samostatně nejdou instalovat,děkuji
Ps:při samotné instalaci to skončilo tím, že se nenainstalovalo 24 balíčku,bylo to v noci a tak si to nepamatuju ale chyběl dolphin a další,ty šli instalovat samostatně a teď tedy asi chybí jen ty uvedené,v mcc se task-kde42 zobrazuje ne zeleně jako nainstalovaný ale běží to i bez toho


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: krizak February 09, 2009, 17:57:57
Přepni se do IceWM. Zkus  aktualizovat systém. Pokud to nepomůže, zkus ručně nainstalovat "plasma-applet-system-monitor-net-4.2.0-5pts2009.0.i586" a potom teprve "task-kde42". Pokud ani to nepomůže, zkus odinstalovat vše, co je ve verzi 3.5.10 (kromě Kaffeine), resp. 4.1.3 a pak znovu zkus "task-kde42". Popř. zadej do vyhledávače balíčků v MCC, ať ti najde vše, co je 4.2.0, projeď balíčky a zkus odhadnout, co ještě by mělo být nainstalováno. Provozuju to na stejném stroji, jen procesor mám 2,0 GHz. Setkal jsem se s podobnými problémy a postupně jsem to takto vyřešil. V tuto chvíli mi to běhá bez zaškobrtnutí.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš February 10, 2009, 11:53:07
Prvni radou by melo byt: aktualizuj zdroj...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jan Jasmín February 10, 2009, 20:15:20
už jsem to až na maličkosti vše nainstalil a zatim vše chodí,aktualizovany jsem to měl jen jsem to zapoměl napsat.
Měl bych ještě jeden dotaz,nechodí historie v konzoli,lépe řečeno ano ale po restartu již ne,možná že něco dělam blbě,nešlo mi to ani na IceWM,ale v KDE4.1 to chodilo


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Pepep March 03, 2009, 01:59:36
Tak jsem celé toto téma (všech 7 stránek) přelouskal a jak to vidím, tak si ještě na přeinstalaci na 2009.0 počkám. Chápu, že jsem za vychcánka, ale takový hrdina (abych šel téměř do 50% jistoty bude/nebude chodit) zase nejsem.

Ale klobouk dolů Peťošovi, panu Cyroňovi a vůbec všem, kdo se na tom podílel. Pochopil jsem, že se toho od 2008.1 s KDE3.5.9 změnilo asi dost - nezůstal na kameni kámen. O to hlouběji smekám.
Pep


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Ivan Bibr March 03, 2009, 19:25:10
No, zkoušel jsem to na několika strojích a rozumný postup, který všude vedl k výsledku byl tento:

1. Nastavení oficiálních MDV zdrojů + updatů (pomocí klikátka).
2. Aktualizace systému.
3. Dle článku (http://www.mandrivalinux.cz/dalsi-zdroje-kde4-2-pro-mandrivu-2009-0) na mandrivalinux.cz provést (pro 64bit je první příkaz jiný, viz článek!):
urpmi.addmedia --update kde42-20090 ftp://ftp.kde.org/pub/kde/stable/4.2.0/Mandriva/2009.0/RPMS/i586 a
urpmi.addmedia --update kde42-20090-noarch ftp://ftp.kde.org/pub/kde/stable/4.2.0/Mandriva/2009.0/RPMS/noarch

4. Následně provést urpmi --update --auto-select --split-length=0.

A je to. Všude to proběhlo celkem v pořádku. Dělal jsem to normálně ze spuštěného prostředí KDE4, není nutný start v něčem jiném, jen je dobré se po provedení instalace odhlásit a pak restartovat X server (je to v nabídle přihlašovací obrazovky). Na silné lince je to hotovo za 10min...

Kroky 3-4 jdou i naklikat v Ovládacím centru MDV v sekci Správa softwaru, ale doporučuji provést je jako root v konsoli. Důležitý je totiž parametr --split-length, který nejdříve stáhne všechny balíky a teprve pak je nainstaluje. Normálně se to děje po částech a kdyby došlo během instalace k výpadku serveru, nedopadlo by to moc dobře (vyzkoušeno).

Objeví-li se během kroku chyba "nekteré balíky nejdou nainstalovat nebo se musí odstranit", zkuste vynechat parametr --update. Ale pozor, při této činnosti byste měli mít vypnuté alternativní zdroje (PLF), stejně jako Backports a Testing. Tohle totiž zaktualizuje úplně všechno, k čemu najde novější verzi, a to vůbec nemusí dopadnout dobře... Opatrně s tím!

Mnou zjištěné problémy:

1. Nefungují hotkeys (volume/mute a asi i něco dalšího na noteboocích příp. multimediálních klávesnicích). Nemám vyřešeno, nechybí mi to.
2. Nefunguje kbluetooth, resp. funguje, ale nějak divně. Nepodařilo se mi spárovat zařízení, nicméně tam, kde už to spárováno bylo, s ním něco dělat jde (jiné bt aplikace ala xgnokii samozřejmě jedou).
3. Na jednom stroji s pořádným nastavením jsem musel smazat celé nastavení v .~/kde4/. Budete-li to muset udělat také, jen si ten adresář jen někam přesuňte, abyste z něj mohli v případně nutnosti obnovit data - mají je tam některé aplikace, např. KMail!


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: b3da March 03, 2009, 20:47:54
Já ještě dodám nefunkční Dolphin. Mám 4.2 na dvou PC a ani na jednom se nedá používat. Neustále a často padá...  >:( A to v 4.1 Dolphin fungoval.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Ivan Bibr March 03, 2009, 22:24:23
Já ještě dodám nefunkční Dolphin. Mám 4.2 na dvou PC a ani na jednom se nedá používat. Neustále a často padá...  >:( A to v 4.1 Dolphin fungoval.

Doporučuji promazat konfiguraci. Mně jede Dolphin naprosto bez problémů...


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jakub Šenk March 03, 2009, 22:30:38
Taktéž mi funguje, leč pomaleji, než Thunar, tak používám KDE 4.2 + Thunar (správce souborů z XFCE).


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Peťoš March 03, 2009, 22:32:41
Se nediv: thunar
1.) neni tak look-candy
2.) neumi toho tolik

Coz ovsem nesnizuje jeho pouzitelnost ;)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: exotek March 05, 2009, 22:58:12
Zdravím...
jsem začátečník, takže s linuxem toho moc neumím.
Podle vašeho návodu, jsem odstranila KDE 4.1 a chtěla nainstalovat 4.2.
Jenže při pokusu přidat zdroje (jak pomocí konsole, tak i naklikat)  je tam prostě nedostanu.
Jako root zadám:  urpmi.addmedia --update KDE42 http://physics.muni.cz/~petos/mandriva/2009.0/kde4/i586/ with media_info/hdlist.cz

Vypíše to:

přidávám zdroj "KDE42"
...načítání selhalo: curl selhal: skončil s výsledkem 22

pro zdroj "KDE42" nebyla nalezena žádná metadata

Nevíte co s tím?
Mám mandrivu 2009 Free
Díky za pomoc


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: franta851 March 05, 2009, 23:02:05
No nevím,ale já instaloval Kde4.2 přímo z kde4.1. Asi to jinak nepůjde. Nezkoušel jsem to.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jakub Šenk March 05, 2009, 23:05:16
M2009 má problémy s curl2. Mělo by Vám pomoci toto:

Spusťte Ovládací centrum Mandriva Linuxu 2008, v něm Nastavit zdroje softwaru pro instalaci a aktualizaci, jakmile se Vám to načte, pak:

Volby -> Globální nastavení

Vyhledejte položku Program použitý pro stahování a u něj zvolte wget. Mělo by to stačit, zkuste opět aplikovat Vaše příkazy. Pokud by to náhodou nestačilo, zkuste restartovat PC.

Kdyby něco, tak ještě napište :)


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jakub Šenk March 05, 2009, 23:07:03
No nevím,ale já instaloval Kde4.2 přímo z kde4.1. Asi to jinak nepůjde. Nezkoušel jsem to.

KDE 4.2 jde nainstalovat ze všech prostředí, nedoporučuje se moc aktualizovat právě z KDE x.x.


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: exotek March 05, 2009, 23:18:35
Tak i po restartu počítače mi to napsalo:
přidávám zdroj "KDE42"
...načítání selhalo: wget selhal: skončil s výsledkem 1

pro zdroj "KDE42" nebyla nalezena žádná metadata

 :(


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: alda81 March 05, 2009, 23:20:09
přidáváte si Peťošův zdroj a ten jej již zrušil


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: exotek March 05, 2009, 23:22:18
Tak to mě nenapadlo :-)

A teď najdu kde nejednodušší možnost instalace KDE 4.2? 


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: Jakub Šenk March 05, 2009, 23:25:01
Jej, jsem si ani nevšiml :D

Já osobně používám KDE 4.2.1:

http://www.mandrivalinux.cz/cerstve-kde-4-2-1-muzete-mit-jeste-dnes


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: alda81 March 05, 2009, 23:30:08
viz. tento článek http://www.mandrivalinux.cz/cerstve-kde-4-2-1-muzete-mit-jeste-dnes (podle toho si přidejte zdroje)

už je dostupná verze s KDE4.2.1, no ale pokud jste odinstaloval KDE4.1.3, tak aktualizace nebude být moci provedena, proto budete muset dané prostředí vybrat třeba přes Ovládací centrum Mandrivy->Instalace softwaru ... a to jako metabalíček task-kde4, ale vyberte tu správnou verzi tzn. 4.2, ať si neinstalujete znovu verzi 4.1.3  ;)

edit:// na stejné zdroje myslím odkazuje i Jakubův článek http://senkjakub.blogspot.com/


: Re: KDE 4.2.0 pro Mandriva Linux 2009.0
: exotek March 06, 2009, 19:50:41
Pomohlo, funguje. Děkuju  :)